/*******************************************************************************
 **
 ** Licensed Materials - Property of IBM
 **
 ** (C) COPYRIGHT International Business Machines Corp. 2000, 2001
 ** All Rights Reserved.
 **
 ******************************************************************************/
#ifndef __CLPBITMAP_H__
#define __CLPBITMAP_H__

#include <eikenv.h>
#include <coecntrl.h>

class TBitmapInfo
{
public:
  TBitmapInfo() {}
  TBitmapInfo(TInt aXProportion, TInt aXPosition, TInt aYProportion, TInt aYPosition)
    : iXProportion(aXProportion), iXPosition(aXPosition), iYProportion(aYProportion), iYPosition(aYPosition)
    {}
  void CheckPositions();
public:
  TInt iXProportion;
  TInt iXPosition;
  TInt iYProportion;
  TInt iYPosition;
};

/******************************************************************************/
/** TBitmapControl CLASS                                                    **/
/******************************************************************************/
class CBitmapControl : public CCoeControl
{
public:
  CBitmapControl() {}
  ~CBitmapControl();
  void ConstructL(const TDesC& aFileName, const TBitmapInfo& aBitmapInfo);
  TSize MinimumSize() const;
  TSize MaximumSize() const;
  void SetBitmapInfoL(const TBitmapInfo& aBitmapInfo);
  const TBitmapInfo* BitmapInfo() const { return &iBitmapInfo; }
private:
  void Draw(const TRect& aRect) const;
private:
  TBitmapInfo iBitmapInfo;
  CFbsBitmap* iBitmap;
};

#endif // __CLPBITMAP_H__
