/******************************************************************************/
/*   5622-388 (C) Copyright IBM Corp. 1999-2000.                              */
/******************************************************************************/
/*****************************************************************************/
/**                                                                         **/
/**          CLP, Demo for DB2 Everyplace									**/
/**                                                                         **/
/**          This file specifies the resources of the                       **/
/**          CLP demo.													    **/
/**                                                                         **/
/*****************************************************************************/
/**                                PhoneUIData.h                            **/
/*****************************************************************************/

#if !defined(__DB2ECLPUIDATA_H__)
#define __DB2ECLPUIDATA_H__

/** TRANSLATION
  *   Everything in quotes can be translated.
  *
  *   The constant identifiers such as APPLICATION_NAME 
  *   should not be translated.
  */

#define APPLICATION_NAME            "DB2eCLP"
#define APPLICATION_TITLE           "DB2e Command Line Processor"
 
#define BUTTON_EXEC					"Execute"
#define BUTTON_VERSION              "Version"
#define BUTTON_CLOSE                "Close"

#define DIALOG_ERROR_TITLE          "Error"

#define DIALOG_VERSION_TITLE        "Version"
#define DIALOG_VERSION_MESSAGE      "DB2e CLP Version 7.2"

#define DIALOG_COPYRIGHT_MESSAGE    "This application requires DB2 Everyplace.\n\nCopyright IBM Corporation 2000-2001."
#define DIALOG_BUTTON_OK			"OK"

//--- Messages
/**
  The messages is to be translated.
  A message is the string in double quote, for example
  " Cannot view table."

  Since the message is displayed in a dialog box, the translation
  text should fit into this dialog box.

  The constant identifiers such as ERR_VIEW should not be translated.

  Also do not translate the line break character (\n)
*/

#define ERR_INIT "Cannot initialize DB2 Everyplace.\nPlease clean-up and re-install DB2 Everyplace."
#define ERR_INPUT_FAILURE "Cannot execute input statement."

//Following is for EPOC CLP GUI
//*****************************************************************************************************
// TOOLBAR
//*****************************************************************************************************
#define TBR_CLP                       "CLP"

//*****************************************************************************************************
// DIALOG
//*****************************************************************************************************
    
// DLG_user_login 
#define DLG_LOGIN_TITLE               "CLP User Login"
#define DLG_LOGIN_USERNAME            "User Name:"
#define DLG_LOGIN_PASSWORD            "Password:"
#define DLG_LOGIN_PATH_INFO           "Enter the path to database"
#define DLG_LOGIN_PATH                "Path:"

// Clp View Labels
#define QUERY_CLP_VIEW                "Query: "
#define RESULTS_CLP_VIEW              "Results: "

// CLP View Buttons
#define BTN_CLEAR_CLP                 "Clear"
#define BTN_CANCEL_CLP                "Cancel"

//*****************************************************************************************************
// MESSAGES/ALERTS/WARNINGS
//*****************************************************************************************************
#define MSG_NOTICE                    "NOTICE:\n"               //do not translate "\n"
#define MSG_OPEN_CLP_FIRST            "Please start CLP first\nSelect the CLP button"
#define MSG_CLP_MSG_STMT_RST          "%s\n"

#endif
