@echo off
REM **********************************************************
REM **                                                      **
REM **  Build.bat - build script for SampleCLP application  **
REM **                                                      **
REM **********************************************************

setlocal

set appname=SampleCLP
set armipath=%EPOCROOT%EPOC32\Release\armi\urel
set incpath=%EPOCROOT%EPOC32\include
set winspath_urel=%EPOCROOT%EPOC32\Release\wins\urel\z\system\apps\%appname%
set winspath_udeb=%EPOCROOT%EPOC32\Release\wins\udeb\z\system\apps\%appname%

pushd Crystal

echo -- Cleaning up --
call .\abld reallyclean > NUL 2>&1
call bldmake clean > NUL 2>&1
rmdir /s /q armi > NUL 2>&1
rmdir /s /q wins > NUL 2>&1
rmdir /s /q %winspath_urel% > NUL 2>&1
rmdir /s /q %winspath_udeb% > NUL 2>&1
del %armipath%\%appname%.* > NUL 2>&1
del %incpath%\%appname%.mbg > NUL 2>&1
del %incpath%\%appname%.rsg > NUL 2>&1

echo -- Building --
mkdir armi > NUL 2>&1
mkdir wins > NUL 2>&1

call bldmake bldfiles

call .\abld build wins urel
copy %winspath_urel%\%appname%.* wins\

call .\abld build armi urel
copy %armipath%\%appname%.* armi\
del armi\*map > NUL 2>&1

echo -- Makesis --
call makesis %appname%.pkg armi\%appname%.sis

popd

endlocal
