package java.sql;

/* 
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2000 All Rights Reserved
 */

public interface Connection {

   public static final int TRANSACTION_NONE             = 0;

   public static final int TRANSACTION_READ_UNCOMMITTED = 1;

   public static final int TRANSACTION_READ_COMMITTED   = 2;

   public static final int TRANSACTION_REPEATABLE_READ  = 4;

   public static final int TRANSACTION_SERIALIZABLE     = 8;

   public Statement createStatement() throws SQLException;

   public PreparedStatement prepareStatement(String sql) throws SQLException;

   public CallableStatement prepareCall(String sql) throws SQLException;

   public String nativeSQL(String sql) throws SQLException;

   public void setAutoCommit(boolean autoCommit) throws SQLException;

   public boolean getAutoCommit() throws SQLException;

   public void commit() throws SQLException;

   public void rollback() throws SQLException;

   public void close() throws SQLException;

   public boolean isClosed() throws SQLException;

   public DatabaseMetaData getMetaData() throws SQLException;

   public void setReadOnly(boolean readOnly) throws SQLException;

   public boolean isReadOnly() throws SQLException;

   public void setCatalog(String catalog) throws SQLException;

   public String getCatalog() throws SQLException;

   public void setTransactionIsolation(int level) throws SQLException;

   public int getTransactionIsolation() throws SQLException;

   public SQLWarning getWarnings() throws SQLException;

   public void clearWarnings() throws SQLException;

   public Statement createStatement(int resultSetType, int resultSetConcurrency)
      throws SQLException;

   public PreparedStatement prepareStatement(String sql,
                                             int resultSetType,
                                             int resultSetConcurrency) throws SQLException;

   public CallableStatement prepareCall(String sql,
                                     int resultSetType,
                                     int resultSetConcurrency) throws SQLException;

}

