package java.sql;

/* 
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2000 All Rights Reserved
 */

public class SQLWarning extends SQLException {

   public SQLWarning() {}

   public SQLWarning(String reason)
   {
      this(reason, null, 0);
   }

   public SQLWarning(String reason, String SQLstate)
   {
      this(reason, SQLstate, 0);
   }

   public SQLWarning(String reason, String SQLstate, int vendorCode)
   {
      super(reason, SQLstate, vendorCode);

/*
      DriverManager.println("SQLWarning:  reason=" + reason +
                            " SQLState=" + SQLstate +
                            " vendor code=" + vendorCode);
*/
   }

   public SQLWarning getNextWarning()
   {
      Object obj = getNextException();

      if (obj == null)
          return null;

      if (obj instanceof SQLWarning)
         return ((SQLWarning) obj);

      throw new Error("Not a SQLWarning instance");
   }

   public void setNextWarning(SQLWarning w)
   {
      setNextException(w);
   }

}


