package java.sql;

/* 
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2000 All Rights Reserved
 */

public class Time extends java.util.Date {

   public Time(int hour, int minute, int second)
   {
      super(70, 0, 1, hour, minute, second);

      if ( hour < 0 || hour > 23 || minute < 0 || minute > 59 || second < 0 || second > 59 )
            throw new java.lang.IllegalArgumentException();

   }

   public Time(long time)
   {
      super(time);
   }

   public void setTime(long time)
   {
      super.setTime(time);
   }

   public static Time valueOf(String s)
   {
      int posDelim1, posDelim2;
      int hour, minute, second;
      String errMsg = "Time must be of the form:  hh:mm:ss";

      if (s == null || (s.length() > "hh:mm:ss".length()))
         throw new java.lang.IllegalArgumentException(errMsg);

      posDelim1 = s.indexOf(':',0);
      posDelim2 = s.lastIndexOf(':');
      
      if ( (posDelim1 > 0) && (posDelim2 != s.length()-1) && ((posDelim2-posDelim1) > 1) )
      {
         hour   = Integer.parseInt(s.substring(0, posDelim1));
         minute = Integer.parseInt(s.substring(posDelim1+1, posDelim2));
         second = Integer.parseInt(s.substring(posDelim2+1));

         return new Time(hour, minute, second);
      }

      throw new java.lang.IllegalArgumentException(errMsg);
   }

   public String toString()
   {
      int hour         = super.getHours();
      int minute       = super.getMinutes();
      int second       = super.getSeconds();
      String theHour   = (hour >= 10)? (Integer.toString(hour)): ("0"+hour);
      String theMinute = (minute >= 10)? (Integer.toString(minute)): ("0"+minute);
      String theSecond = (second >= 10)? (Integer.toString(second)): ("0"+second);

      return ( theHour + ":" + theMinute + ":" + theSecond );
   }

   public int getYear()
   {
      throw new java.lang.IllegalArgumentException();
   }

   public int getMonth()
   {
      throw new java.lang.IllegalArgumentException();
   }

   public int getDay()
   {
      throw new java.lang.IllegalArgumentException();
   }

   public int getDate()
   {
      throw new java.lang.IllegalArgumentException();
   }

   public void setYear(int i)
   {
      throw new java.lang.IllegalArgumentException();
   }

   public void setMonth(int i)
   {
      throw new java.lang.IllegalArgumentException();
   }

   public void setDate(int i)
   {
      throw new java.lang.IllegalArgumentException();
   }

}

