///////////////////////////////////////////////////////////////
//
// DB2 Everyplace Sample Application - CLP
// 
// This application demonstrates how to use CLI to
// write a simple command line processor that 
// accepts SQL statements and execute them.
// This application is portable to different platforms:
//    PalmOS, Neutrino, E. Linux, WinCE, EPOC and Win32.
// It also includes import/export tools.
//
// File:  SampleCLPmsg.h
//
///////////////////////////////////////////////////////////////

#ifndef _SAMPLECLPMSG_H_
#define _SAMPLECLPMSG_H_

#define CLP_VERSION          "DB2eCLP Version 7.2" 
#define CLP_DB2_START        "DB2 Everyplace started successfully.\n"
#define CLP_DB2_NOSTART      "Unable to start DB2 Everyplace.\n"

#define CLP_PROMPT           "\nCLP:> "

#define CLP_MSG_ROW_COUNT    "%d row(s) returned.\n"
#define CLP_MSG_STMT_OK      "Statement completed successfully.\n"
#define CLP_MSG_STMT_ERROR   "Statement failed [sqlstate = %s].\n"

#define CLP_INTERNAL_ERROR   "CLP Internal Error.\n"
#define CLP_INTERNAL_ERROR1  "CLP Internal Error: Buffer limit.\n"
#define CLP_INTERNAL_ERROR2  "CLP Internal Error: Cannot allocate memory.\n"

#define CLP_EXPORT_FILE      "Unable to open file (%s) for EXPORT.\n"
#define CLP_EXPORT_CMD       "EXPORT command syntax error.\n"
#define CLP_EXPORT_OK        "%d row(s) exported.\n"

#define CLP_IMPORT_FILE      "Unable to open file (%s) for IMPORT.\n"
#define CLP_IMPORT_CMD       "IMPORT command syntax error.\n"
#define CLP_IMPORT_BLOB      "Unsupported data type.\n"
#define CLP_IMPORT_DATA      "Incorrect data format.\n"
#define CLP_IMPORT_OK        "%d row(s) imported.\n"

#define CLP_ERROR_TOKEN      "A syntax error was detected when the token \"%s\" was processed. \n"
#define CLP_ERROR_GET_STATE  "Could not get sqlstate!!!\n" 

#define CLP_FILE_WRITE_ERROR "Unable to open file (%s) for output.\n"
#define CLP_TABLE_CMD_ERROR  "Enter: $TABLE input_table [output file]\n"
#define CLP_TABLE_CMD_ERROR2 "Table(s) in $TABLE command invalid\n"

#endif
